/**
 * generated by Xtext 2.27.0
 */
package org.eclipse.papyrus.robotics.assertions.languages.stl.stlText;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>interval</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.interval#getTime1 <em>Time1</em>}</li>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.interval#getTime2 <em>Time2</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getinterval()
 * @model
 * @generated
 */
public interface interval extends EObject
{
  /**
   * Returns the value of the '<em><b>Time1</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Time1</em>' containment reference.
   * @see #setTime1(intervalTime)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getinterval_Time1()
   * @model containment="true"
   * @generated
   */
  intervalTime getTime1();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.interval#getTime1 <em>Time1</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Time1</em>' containment reference.
   * @see #getTime1()
   * @generated
   */
  void setTime1(intervalTime value);

  /**
   * Returns the value of the '<em><b>Time2</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Time2</em>' containment reference.
   * @see #setTime2(intervalTime)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getinterval_Time2()
   * @model containment="true"
   * @generated
   */
  intervalTime getTime2();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.interval#getTime2 <em>Time2</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Time2</em>' containment reference.
   * @see #getTime2()
   * @generated
   */
  void setTime2(intervalTime value);

} // interval
